Name: ocamlnet
Version: 0.96
Release: alt4s

Group: Development/ML
Summary: Network library for OCaml
License: Distributable
Url: http://ocamlnet.sourceforge.net
Source:  ocamlnet-%version.tar.gz
Patch: ocamlnet-build.patch
Patch1: ocamlnet-%version-shared.patch
Patch2: ocamlnet-netdb.patch
Requires: ocaml = 3.07, findlib >= 0.9, pcre-ocaml
Requires: ocamlnet-runtime = %version-%release

BuildRequires: ocaml = 3.07, ocamlfind-mini >= 0.9, pcre-ocaml

%package runtime
Group: Development/ML
Summary: ocamlnet runtime libraries
Requires: ocaml-runtime = 3.07

%description

 The Ocamlnet project will provide a collection of modules for the
Objective Caml language which focus on application-level Internet
protocols and conventions.

The current distribution contains:

- a mature implementation of the CGI protocol

- an experimental POP3 client

- a library of string processing functions related to Internet
  protocols (formerly known as "netstring" and distributed separately)

%description runtime

 OcamlNET library runtime parts

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd src
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/
export OCAMLPATH=/usr/lib/ocaml/site-lib/
./configure -enable-findlib -datadir /usr/lib/ocaml/site-lib/netstring/
make
make opt

cd cgi
ocamlopt -nolinkstd -shared -o cgi.so stdlib.so.cmxa cgi.cmxa -linkall
cd ../netstring
ocamlopt -nolinkstd -shared -o netstring.so stdlib.so.cmxa netstring.cmxa -linkall

%install
%define _compress_method skip

cd src
export OCAMLPATH=/usr/lib/ocaml/site-lib/
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/
export NET_DB_DIR2=$RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/netstring/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/
make install
cp cgi/{*.a,*.so,*.cmxa} $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/cgi/
cp netstring/{*.a,*.so,*.cmxa} $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/netstring/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/
#ln -s /usr/lib/ocaml/site-lib/cgi/cgi.so $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/cgi.so 
#ln -s /usr/lib/ocaml/site-lib/netstring/netstring.so $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/netstring.so

cd ..

(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/site-lib ! -type d  ! -name '*.so' -printf "/%%p\n") > files
(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/ -name '*.so' -printf "/%%p\n") > runfiles


%files -f files
%doc README src/INSTALL src/INSTALL.jserv 

%files runtime -f runfiles
%dir %_libdir/ocaml/site-lib/cgi
%dir %_libdir/ocaml/site-lib/netstring

%changelog
* Fri Oct 10 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt4s
rebuild


* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt3s
- rebuild (3.07bs)

* Sat Jun 28 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt2s
- bugfix (wrong installation paths for a codepage files fixed)

* Tue Jun 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.96-alt1s
- a new version

* Sat Mar 15 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.95-alt1s
- new version

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.94-alt1s
- rebuild with shared libs support

* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.94-alt1
- new version

* Thu Aug 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.93-alt1
- new version

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.92-alt3
- rebuild: ocaml 3.05

*Tue Jun 25 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.92-alt2
- strange ocamlfind-mini bug fixed

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.

